View Single Post
sensfan91

 
Member Since: Oct 30, 2009
Posts: 5
sensfan91 is on a distinguished road

sensfan91 is offline
Its been a while since safari started freezing on me on some sites so i decided to uninstall safari. Now, when i go to install it i cant any more more (thank god i downloaded fifefox before hand just incase). When i try and download safari it says you need os x 10.5.8 or later. Guess what, i got 10.6.1, what the **** is going on, what can i do. Please some one help
QUOTE Thanks